## org.eclipse.datatools.connectivity.sqm.core.containment
Interface ContainmentService

All Known Implementing Classes:
  ContainmentServiceImpl

    public interface ContainmentService

Method Summary
`java.util.Collection` `getAllContainedDisplayableElements(EObject obj)`
`java.util.Collection` `getAllContainedElements(EObject obj)`
`java.util.List` `getAllContainers(EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(EObject obj, java.lang.String group)`
`java.util.Collection` `getContainedElements(EObject obj)`
`EObject` `getContainer(EObject obj)`
`EStructuralFeature` `getContainmentFeature(EObject obj)`
`java.lang.String` `getGroupId(EObject obj)`
`EObject` `getRootElement(EObject obj)`
`boolean` `isDisplayableElement(EObject obj)`

Method Detail

### getContainedElements

    java.util.Collection getContainedElements(EObject obj)

### getAllContainedElements

    java.util.Collection getAllContainedElements(EObject obj)

### getContainedDisplayableElements

    java.util.Collection getContainedDisplayableElements(EObject obj)

### getAllContainedDisplayableElements

    java.util.Collection getAllContainedDisplayableElements(EObject obj)

### getContainedDisplayableElements

    java.util.Collection getContainedDisplayableElements(EObject obj,
                                                         java.lang.String group)

### getContainer

    EObject getContainer(EObject obj)

### getAllContainers

    java.util.List getAllContainers(EObject obj)

### getRootElement

    EObject getRootElement(EObject obj)

### getContainmentFeature

    EStructuralFeature getContainmentFeature(EObject obj)

### isDisplayableElement

    boolean isDisplayableElement(EObject obj)

### getGroupId

    java.lang.String getGroupId(EObject obj)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.